Events
Cancel an event trigger
Cancels a waiting event trigger.
DELETE
/
v1
/
events
/
{eventKey}
Cancel an event trigger
curl --request DELETE \
--url https://api.strait.dev/v1/events/{eventKey} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.strait.dev/v1/events/{eventKey}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.strait.dev/v1/events/{eventKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event_key": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"project_id": "<string>",
"requested_at": "2023-11-07T05:31:56Z",
"source_type": "<string>",
"status": "<string>",
"timeout_secs": 123,
"$schema": "<string>",
"error": "<string>",
"job_run_id": "<string>",
"notify_status": "<string>",
"notify_url": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"request_payload": "<unknown>",
"response_payload": "<unknown>",
"sent_by": "<string>",
"trigger_type": "<string>",
"workflow_run_id": "<string>",
"workflow_step_run_id": "<string>"
}{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Authorizations
API key passed as Bearer token
Path Parameters
Response
OK
A URL to the JSON Schema for this object.
Example:
"https://api.strait.dev/schemas/EventTrigger.json"
⌘I
Cancel an event trigger
